import { axios } from '@/utils/request'

// 获取骑手列表数据
export const getRiderList = params => {
  const url = `/userExt/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 改变权限状态接口
export const updateEnableStatus = params => {
  return axios({
    url: `userExt/enable/${params.id}/${params.flag}`,
    data: {},
    method: 'get'
  })
}

// // 删除用户接口
// export const delectUserPower = params => {
//   return axios({
//     url: `sleler/user/delete/${params.id}`,
//     data: {},
//     method: 'get'
//   })
// }

// 新增/编辑保存接口
export const savRider = params => {
  return axios({
    url: 'userExt/save',
    data: params,
    method: 'POST'
  })
}

// 回收价格列表
export const gePriceList = params => {
  return axios({
    url: 'rubbish/type/queryConvert',
    data: params,
    method: 'POST'
  })
}

// 保存价格
export const savPrice = params => {
  return axios({
    url: 'rubbish/type/update',
    data: params,
    method: 'POST'
  })
}

// 获取订单详情列表
export const getOrderList = params => {
  const url = `/dto/reserve/queryOrderReservePage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 订单总计
export const getOrderTotal = (params) => {
  const url = `/dto/reserve/groupOrderReserve`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 获取订单统计列表
export const getOrderTotalList = params => {
  const url = `/dto/reserve/orderReserveGroupByUserExtPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 订单总计
export const getOrderTotalNum = (params) => {
  const url = `/dto/reserve/groupExtPage`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 订单详情
export const orderDetails = (params) => {
  const url = `dto/reserve/orderReserveInfo`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
